Bug 983945 - /dev/vhost-net only accessible by root
/dev/vhost-net only accessible by root
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:13 EDT by Julian Stecklina
Modified: 2013-10-31 17:08 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 17:08:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Stecklina 2013-07-12 07:13:03 EDT
/dev/vhost-net, which is necessary for decent network performance in qemu/kvm, is only accessible by root. By default it is owned by root and gets 0600 rights.

I would expect /dev/vhost-net to be owned by group kvm or qemu and group-read/writable.

Adding a udev rule such as
SUBSYSTEM=="misc", KERNEL=="vhost-net", GROUP="kvm", MODE="0660"
does not work for me.
Comment 1 Cole Robinson 2013-09-09 09:39:28 EDT
Michael, is this safe to do? /dev/kvm is already non-root
Comment 2 Michael S. Tsirkin 2013-09-10 11:12:58 EDT
I think root-only is a better default. What exactly happens when you add the udev rule?
Comment 3 Cole Robinson 2013-10-31 17:08:22 EDT
No response, closing as INSUFFICIENT_DATA (and sounds like enabling for non-root isn't recommended anyways)

Note You need to log in before you can comment on or make changes to this bug.